![]() | SpiralBeam Class |
A class for the spiral beam part.

SystemObject
Tekla.Structures.ModelObject
Tekla.Structures.ModelModelObject
Tekla.Structures.ModelPart
Tekla.Structures.ModelSpiralBeam
Tekla.Structures.ModelObject
Tekla.Structures.ModelModelObject
Tekla.Structures.ModelPart
Tekla.Structures.ModelSpiralBeam
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

The SpiralBeam type exposes the following members.

Name | Description | |
---|---|---|
![]() | SpiralBeam |
Initializes a new instance of the SpiralBeam class.
|
![]() | SpiralBeam(Point, Point, Double, Double) |
Initializes a new instance of the SpiralBeam class with the given parameters. Rotation axis direction is current positive Z direction.
|
![]() | SpiralBeam(Point, Point, Point, Double, Double) |
Initializes a new instance of the SpiralBeam class with the given parameters.
|
![]() | SpiralBeam(Point, Point, Point, Double, Double, Double, Double) |
Initializes a new instance of the SpiralBeam class with the given parameters.
|

Name | Description | |
---|---|---|
![]() | AssemblyNumber |
Gets or sets the assembly number.
Defines the numbering in the assembly sense.
(Inherited from Part.) |
![]() | CastUnitType |
Gets or sets the cast unit type of the part.
(Inherited from Part.) |
![]() | Class |
Gets or sets the class of the part.
(Inherited from Part.) |
![]() | DeformingData |
Gets or sets the deforming data of the part.
(Inherited from Part.) |
![]() | EndPoint |
Gets the spiral beam end point.
|
![]() | Finish |
Gets or sets the finish of the part.
(Inherited from Part.) |
![]() | Identifier |
The identifier of the object.
(Inherited from Object.) |
![]() | IsUpToDate | Gets if the object does not have a modification which is not shared. (Inherited from ModelObject.) |
![]() | Material |
Gets or sets the material the part is made of.
(Inherited from Part.) |
![]() | ModificationTime | Gets latest time of the object was modified or created. (Inherited from ModelObject.) |
![]() | Name |
Gets or sets the name of the part.
(Inherited from Part.) |
![]() | PartNumber |
Gets or sets the part number.
Defines the numbering in the part sense.
(Inherited from Part.) |
![]() | Position |
Gets or sets the part position.
Defines the way the part is positioned in the model.
(Inherited from Part.) |
![]() | PourPhase |
Gets or sets the pour phase of the part.
(Inherited from Part.) |
![]() | Profile |
Gets or sets the profile of the part.
(Inherited from Part.) |
![]() | RotationAngle |
Gets or sets the rotation of the spiral beam in degrees. Each range of 360.0 degrees adds a full rotation.
|
![]() | RotationAxisBasePoint |
Gets or sets the first definition point of the spiral beam rotation axis.
|
![]() | RotationAxisDirection |
Gets the direction of the spiral beam rotation axis.
|
![]() | RotationAxisUpPoint |
Gets or sets the second definition point of the spiral beam rotation axis.
|
![]() | RotationCenterPoint |
Gets the geometric rotation center point at the start of the spiral beam.
|
![]() | StartPoint |
Gets or sets the start point of the spiral beam.
|
![]() | TotalRise |
Gets or sets the difference between the spiral beam start and end point in the direction of the rotation axis.
|
![]() | TwistAngleEnd |
Gets or sets the twist angle in degrees at the end of the spiral beam.
|
![]() | TwistAngleStart |
Gets or sets the twist angle in degrees at the start of the spiral beam.
|

Name | Description | |
---|---|---|
![]() | CompareTo(Object) |
Compares Identifiers of model objects.
(Inherited from ModelObject.) |
![]() | CompareTo(Part) |
Compares the instantiated part with another one.
(Inherited from Part.) |
![]() | Delete |
Deletes the spiral beam with this instance identifier from the model database.
(Overrides ModelObjectDelete.) |
![]() | Equals |
Check if Identifiers of model objects are same.
(Inherited from ModelObject.) |
![]() ![]() | GetAllReportProperties |
Retrieves all properties for the model object in one hashtable.
Type for the returned value must be checked using type casting.
(Inherited from ModelObject.) |
![]() | GetAllUserProperties |
Retrieves all properties for the model object in one hashtable.
Type for the returned value must be checked using type casting.
(Inherited from ModelObject.) |
![]() | GetAssembly |
Returns the assembly that the part belongs to.
(Inherited from Part.) |
![]() | GetBolts |
Returns an enumerator of all the connected bolts.
(Inherited from Part.) |
![]() | GetBooleans |
Returns an enumerator of all the connected boolean objects.
(Inherited from Part.) |
![]() | GetCenterLine | Returns the center line for the given part. (Inherited from Part.) |
![]() | GetChildren |
Returns an enumerator of all the children model objects.
(Inherited from ModelObject.) |
![]() | GetComponents |
Returns an enumerator of all the connected components, connections,
seams and details inherited from the base component.
(Inherited from Part.) |
![]() | GetCoordinateSystem |
Returns the coordinate system for the given model object.
(Inherited from ModelObject.) |
![]() | GetDoubleReportProperties |
Retrieves multiple double report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) |
![]() | GetDoubleUserProperties |
Retrieves all double properties for the model object.
(Inherited from ModelObject.) |
![]() | GetDSTVCoordinateSystem |
Get DSTV coordinate system.
(Inherited from Part.) |
![]() | GetDynamicStringProperty |
Gets a dynamic string property from the model object.
(Inherited from ModelObject.) |
![]() | GetFatherComponent |
Returns the father component of the model object.
(Inherited from ModelObject.) |
![]() | GetHierarchicObjects |
Returns an enumerator of all the connected hierarchic objects.
(Inherited from ModelObject.) |
![]() | GetIntegerReportProperties |
Retrieves multiple integer report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) |
![]() | GetIntegerUserProperties |
Retrieves all integer properties for the model object.
(Inherited from ModelObject.) |
![]() | GetPartMark |
Returns the part mark.
(Inherited from Part.) |
![]() | GetPhase |
Retrieves the phase of the model object (the phase number, the phase name,
the phase comment and whether the phase is the current one or not).
(Inherited from ModelObject.) |
![]() | GetPours |
Returns an enumerator of all the pours that the part belongs to.
(Inherited from Part.) |
![]() | GetReferenceLine | Returns the reference line for the given part. (Inherited from Part.) |
![]() | GetReinforcements |
Returns an enumerator of all the connected reinforcements.
(Inherited from Part.) |
![]() | GetReportProperty(String, Double) |
Retrieves a double property of the report for the model object.
(Inherited from ModelObject.) |
![]() | GetReportProperty(String, Int32) |
Retrieves an integer property of the report for the model object.
(Inherited from ModelObject.) |
![]() | GetReportProperty(String, String) |
Retrieves a string property of the report for the model object.
(Inherited from ModelObject.) |
![]() | GetSolid |
Returns the solid of the part.
(Inherited from Part.) |
![]() | GetSolid(FormingStates) |
Returns the solid of the part.
(Inherited from Part.) |
![]() | GetSolid(SolidSolidCreationTypeEnum) |
Returns the solid of the part.
(Inherited from Part.) |
![]() | GetStringReportProperties |
Retrieves multiple string report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) |
![]() | GetStringUserProperties |
Retrieves all string properties for the model object.
(Inherited from ModelObject.) |
![]() | GetSurfaceObjects |
Returns an enumerator of all the connected surface objects.
(Inherited from Part.) |
![]() | GetSurfaceTreatments |
Returns an enumerator of all the connected surface treatments.
(Inherited from Part.) |
![]() | GetUserProperty(String, Double) |
Retrieves a double property for the model object.
(Inherited from ModelObject.) |
![]() | GetUserProperty(String, Int32) |
Retrieves an integer property for the model object.
(Inherited from ModelObject.) |
![]() | GetUserProperty(String, String) |
Retrieves a string property for the model object.
(Inherited from ModelObject.) |
![]() | GetWelds |
Returns an enumerator of all the connected welds.
(Inherited from Part.) |
![]() | Insert |
Inserts the spiral beam into the model database. All the attributes must be set.
(Overrides ModelObjectInsert.) |
![]() | Modify |
Modifies the spiral beam object values in the database.
(Overrides ModelObjectModify.) |
![]() | Select |
Selects a spiral beam object from the database.
(Overrides ModelObjectSelect.) |
![]() | SetDynamicStringProperty |
Sets a dynamic string property for the model object.
(Inherited from ModelObject.) |
![]() | SetLabel |
Sets a label for an object when a new instance is created, this method must be called before Insert.
The label is used in plug-ins for identifying the changed object in modification.
(Inherited from ModelObject.) |
![]() | SetPhase |
Sets the phase of the model object.
(Inherited from ModelObject.) |
![]() | SetUserProperties |
Sets multiple properties for the model object.
(Inherited from ModelObject.) |
![]() | SetUserProperty(String, Double) |
Sets a double property for the model object.
(Inherited from ModelObject.) |
![]() | SetUserProperty(String, Int32) |
Sets an integer property for the model object.
(Inherited from ModelObject.) |
![]() | SetUserProperty(String, String) |
Sets a string property for the model object.
(Inherited from ModelObject.) |

using Tekla.Structures.Model; using Tekla.Structures.Geometry3d; public class Example { public bool SimpleExample() { var startPoint = new Point(0.0, 0.0, 0.0); var centerPoint = new Point(200.0, 0.0, 0.0); var totalRise = 100.0; var rotationAngle = 90.0; SpiralBeam spiral = new SpiralBeam(startPoint, centerPoint, totalRise, rotationAngle); spiral.Profile.ProfileString = "U300"; return spiral.Insert(); } public bool FullExample() { var startPoint = new Point(0.0, 0.0, 0.0); var rotationAxisPoint1 = new Point(200.0, 0.0, 0.0); var rotationAxisPoint2 = new Point(200.0, 0.0, 1000.0); var totalRise = 1000.0; var rotationAngle = 1080.0; var twistAngleStart = 10.0; var twistAngleEnd = 30.0; SpiralBeam spiral = new SpiralBeam(startPoint, rotationAxisPoint1, rotationAxisPoint2, totalRise, rotationAngle, twistAngleStart, twistAngleEnd); spiral.Profile.ProfileString = "HEA400"; spiral.Material.MaterialString = "Steel_Undefined"; bool result = spiral.Insert(); return result; } }
